LFR-FSW - Bug #897

Analyse Logiscope LFR_3.1.0.4 modifiée tag 322 (c0603702c8c8) : Don_ArtVariables Severity is Low

13/01/2017 05:00 PM - William Recart

Status: Closed Start date: 13/01/2017
Priority: Low Due date:

Assignee: William Recart % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Rappel de la regle :
Don_ArtVariables

Definition:

The key-word union is not allowed.

La regle n'est pas respectée dans 2 cas :

ccsds_types.h : lignes 803, 833 (code ajouté das cette version)

History

#1 - 16/01/2017 07:24 AM - paul leroy

- Status changed from New to Resolved

OK, j'enléve les référence a union. J'avais mis ga pensant que ¢a permettait d'initialiser plus proprement les jeux de masques. On oublie.

#2 - 21/03/2017 04:04 PM - bruno katra

- Assignee changed from paul leroy to William Recart

#3 - 26/04/2017 03:24 PM - William Recart

- Status changed from Resolved to Closed

Satus on FSW V3.2.0.15 : closed, no violation raised on this version
